| darcs-2.4.4: a distributed, interactive, smart revision control system | Source code | Contents | Index

Darcs.ColorPrinter

Synopsis

errorDoc :: Doc -> a
traceDoc :: Doc -> a -> a
assertDoc :: Maybe Doc -> a -> a
fancyPrinters :: Printers

Documentation

errorDoc :: Doc -> a | Source

traceDoc :: Doc -> a -> a | Source

assertDoc :: Maybe Doc -> a -> a | Source

fancyPrinters :: Printers | Source

``fancyPrinters` h` returns a set of printers suitable for outputting to `h`
Produced by Haddock version 2.4.2